This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1479313 - synfigstudio doesn't start
synfigstudio doesn't start
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: synfigstudio (Show other bugs)
26
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-08 06:56 EDT by Experimenter
Modified: 2017-09-18 23:24 EDT (History)
3 users (show)

See Also:
Fixed In Version: synfigstudio-1.2.0-5.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-18 23:24:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Experimenter 2017-08-08 06:56:09 EDT
Description of problem: synfigstudio doesn't start, stops with the following message: 
synfigstudio: symbol lookup error: /lib64/libsynfigapp.so.0: undefined symbol: _ZN6synfig22FileContainerTemporary12save_changesERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEEb


Version-Release number of selected component (if applicable):
Version      : 1.1.10
Release      : 0.20160706gitd4e547.fc25
Arch         : x86_64
Size         : 14 M
Source       : synfigstudio-1.1.10-0.20160706gitd4e547.fc25.src.rpm
From repo    : fedora

How reproducible:
Everytime

Steps to Reproduce:
1. Start synfigstudio from menu or cli

Actual results: Nothing happens on starting from menu, starting from cli gives an error message
synfigstudio: symbol lookup error: /lib64/libsynfigapp.so.0: undefined symbol: _ZN6synfig22FileContainerTemporary12save_changesERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEEb

Expected results: synfigstudio ui should come up


Additional info:
Comment 1 Gwyn Ciesla 2017-08-08 13:42:12 EDT
Looks like a rebuild fixes it, I'll get that out ASAP.
Comment 2 Fedora Update System 2017-08-08 17:23:06 EDT
synfig-1.2.0-5.fc26 synfigstudio-1.2.0-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7dc0a45358
Comment 3 Fedora Update System 2017-08-13 00:03:15 EDT
synfig-1.2.0-5.fc26, synfigstudio-1.2.0-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7dc0a45358
Comment 4 Fedora Update System 2017-08-26 18:35:22 EDT
ImageMagick-6.9.9.9-1.fc26, WindowMaker-0.95.8-3.fc26, autotrace-0.31.1-49.fc26, converseen-0.9.6.2-3.fc26, dmtx-utils-0.7.4-4.fc26, drawtiming-0.7.1-22.fc26, emacs-25.2-5.fc26, gtatool-2.2.0-6.fc26, imageinfo-0.05-27.fc26, inkscape-0.92.1-4.20170510bzr15686.fc26.1, kxstitch-1.2.0-9.fc26, perl-Image-SubImageFind-0.03-13.fc26, pfstools-2.0.6-3.fc26, php-pecl-imagick-3.4.3-2.fc26, psiconv-0.9.8-22.fc26, q-7.11-29.fc26, ripright-0.11-5.fc26, rss-glx-0.9.1.p-29.fc26.1, rubygem-rmagick-2.16.0-4.fc26.2, synfig-1.2.0-9.fc26.1, synfigstudio-1.2.0-5.fc26, techne-0.2.3-20.fc26, vdr-scraper2vdr-1.0.5-4.20170611git254122b.fc26, vips-8.5.7-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8f27031c8f
Comment 5 Fedora Update System 2017-09-01 07:52:22 EDT
ImageMagick-6.9.9.9-1.fc26, WindowMaker-0.95.8-3.fc26, autotrace-0.31.1-49.fc26, converseen-0.9.6.2-3.fc26, dmtx-utils-0.7.4-4.fc26, drawtiming-0.7.1-22.fc26, emacs-25.2-5.fc26, gtatool-2.2.0-6.fc26, imageinfo-0.05-27.fc26, inkscape-0.92.1-4.20170510bzr15686.fc26.1, k3d-0.8.0.6-8.fc26, kxstitch-1.2.0-9.fc26, perl-Image-SubImageFind-0.03-13.fc26, pfstools-2.0.6-3.fc26, php-pecl-imagick-3.4.3-2.fc26, psiconv-0.9.8-22.fc26, q-7.11-29.fc26, ripright-0.11-5.fc26, rss-glx-0.9.1.p-29.fc26.1, rubygem-rmagick-2.16.0-4.fc26.2, synfig-1.2.0-9.fc26.1, synfigstudio-1.2.0-5.fc26, techne-0.2.3-20.fc26, vdr-scraper2vdr-1.0.5-4.20170611git254122b.fc26, vips-8.5.7-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8f27031c8f
Comment 6 Fedora Update System 2017-09-11 15:52:38 EDT
ImageMagick-6.9.9.9-1.fc26 WindowMaker-0.95.8-3.fc26 autotrace-0.31.1-49.fc26 converseen-0.9.6.2-3.fc26 dmtx-utils-0.7.4-4.fc26 drawtiming-0.7.1-22.fc26 emacs-25.2-5.fc26 gtatool-2.2.0-6.fc26 imageinfo-0.05-27.fc26 inkscape-0.92.1-4.20170510bzr15686.fc26.1 k3d-0.8.0.6-8.fc26 kxstitch-1.2.0-9.fc26 perl-Image-SubImageFind-0.03-13.fc26 pfstools-2.0.6-3.fc26 php-pecl-imagick-3.4.3-2.fc26 psiconv-0.9.8-22.fc26 q-7.11-29.fc26 ripright-0.11-5.fc26 rss-glx-0.9.1.p-29.fc26.1 rubygem-rmagick-2.16.0-4.fc26.2 synfig-1.2.0-9.fc26.1 synfigstudio-1.2.0-5.fc26 techne-0.2.3-20.fc26 vdr-scraper2vdr-1.0.5-4.20170611git254122b.fc26 vips-8.5.8-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8f27031c8f
Comment 7 Fedora Update System 2017-09-11 21:22:13 EDT
ImageMagick-6.9.9.9-1.fc26, WindowMaker-0.95.8-3.fc26, autotrace-0.31.1-49.fc26, converseen-0.9.6.2-3.fc26, dmtx-utils-0.7.4-4.fc26, drawtiming-0.7.1-22.fc26, emacs-25.2-5.fc26, gtatool-2.2.0-6.fc26, imageinfo-0.05-27.fc26, inkscape-0.92.1-4.20170510bzr15686.fc26.1, k3d-0.8.0.6-8.fc26, kxstitch-1.2.0-9.fc26, perl-Image-SubImageFind-0.03-13.fc26, pfstools-2.0.6-3.fc26, php-pecl-imagick-3.4.3-2.fc26, psiconv-0.9.8-22.fc26, q-7.11-29.fc26, ripright-0.11-5.fc26, rss-glx-0.9.1.p-29.fc26.1, rubygem-rmagick-2.16.0-4.fc26.2, synfig-1.2.0-9.fc26.1, synfigstudio-1.2.0-5.fc26, techne-0.2.3-20.fc26, vdr-scraper2vdr-1.0.5-4.20170611git254122b.fc26, vips-8.5.8-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8f27031c8f
Comment 8 Fedora Update System 2017-09-14 20:11:31 EDT
ImageMagick-6.9.9.13-1.fc26 WindowMaker-0.95.8-3.fc26 autotrace-0.31.1-49.fc26 converseen-0.9.6.2-3.fc26 dmtx-utils-0.7.4-4.fc26 drawtiming-0.7.1-22.fc26 emacs-25.3-3.fc26 gtatool-2.2.0-6.fc26 imageinfo-0.05-27.fc26 inkscape-0.92.1-4.20170510bzr15686.fc26.1 k3d-0.8.0.6-8.fc26 kxstitch-1.2.0-9.fc26 perl-Image-SubImageFind-0.03-13.fc26 pfstools-2.0.6-3.fc26 php-pecl-imagick-3.4.3-2.fc26 psiconv-0.9.8-22.fc26 q-7.11-29.fc26 ripright-0.11-5.fc26 rss-glx-0.9.1.p-29.fc26.1 rubygem-rmagick-2.16.0-4.fc26.2 synfig-1.2.0-9.fc26.1 synfigstudio-1.2.0-5.fc26 techne-0.2.3-20.fc26 vdr-scraper2vdr-1.0.5-4.20170611git254122b.fc26 vips-8.5.8-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8f27031c8f
Comment 9 Fedora Update System 2017-09-16 00:21:59 EDT
ImageMagick-6.9.9.13-1.fc26, WindowMaker-0.95.8-3.fc26, autotrace-0.31.1-49.fc26, converseen-0.9.6.2-3.fc26, dmtx-utils-0.7.4-4.fc26, drawtiming-0.7.1-22.fc26, emacs-25.3-3.fc26, gtatool-2.2.0-6.fc26, imageinfo-0.05-27.fc26, inkscape-0.92.1-4.20170510bzr15686.fc26.1, k3d-0.8.0.6-8.fc26, kxstitch-1.2.0-9.fc26, perl-Image-SubImageFind-0.03-13.fc26, pfstools-2.0.6-3.fc26, php-pecl-imagick-3.4.3-2.fc26, psiconv-0.9.8-22.fc26, q-7.11-29.fc26, ripright-0.11-5.fc26, rss-glx-0.9.1.p-29.fc26.1, rubygem-rmagick-2.16.0-4.fc26.2, synfig-1.2.0-9.fc26.1, synfigstudio-1.2.0-5.fc26, techne-0.2.3-20.fc26, vdr-scraper2vdr-1.0.5-4.20170611git254122b.fc26, vips-8.5.8-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8f27031c8f
Comment 10 Fedora Update System 2017-09-18 23:24:18 EDT
ImageMagick-6.9.9.13-1.fc26, WindowMaker-0.95.8-3.fc26, autotrace-0.31.1-49.fc26, converseen-0.9.6.2-3.fc26, dmtx-utils-0.7.4-4.fc26, drawtiming-0.7.1-22.fc26, emacs-25.3-3.fc26, gtatool-2.2.0-6.fc26, imageinfo-0.05-27.fc26, inkscape-0.92.1-4.20170510bzr15686.fc26.1, k3d-0.8.0.6-8.fc26, kxstitch-1.2.0-9.fc26, perl-Image-SubImageFind-0.03-13.fc26, pfstools-2.0.6-3.fc26, php-pecl-imagick-3.4.3-2.fc26, psiconv-0.9.8-22.fc26, q-7.11-29.fc26, ripright-0.11-5.fc26, rss-glx-0.9.1.p-29.fc26.1, rubygem-rmagick-2.16.0-4.fc26.2, synfig-1.2.0-9.fc26.1, synfigstudio-1.2.0-5.fc26, techne-0.2.3-20.fc26, vdr-scraper2vdr-1.0.5-4.20170611git254122b.fc26, vips-8.5.8-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.